package io.hmit.modules.activiti.service;

import io.hmit.common.service.BaseService;
import io.hmit.modules.activiti.dto.ProcessBizRouteDTO;
import io.hmit.modules.activiti.entity.ProcessBizRouteEntity;

/**
 * @Author:Jone
 */
public interface ProcessBizRouteService extends BaseService<ProcessBizRouteEntity> {

    ProcessBizRouteDTO getProcDefBizRoute(String id);

    void save(ProcessBizRouteDTO processBizRouteDTO);

    void updateProcBizRoute(ProcessBizRouteDTO processBizRouteDTO);

    ProcessBizRouteDTO getLatestProcDefBizRoute(String procDefKey);
}
